include(FindSimpleLibrary)
include(FindPackageHandleStandardArgs)

find_simple_library(libcJPEG.a jpeglib.h _
  PATH_VAR CJPEG_PATH
  OTHER_MACROS JPEG_LIB_VERSION_MAJOR JPEG_LIB_VERSION_MINOR)

set(CJPEG_VERSION "${JPEG_LIB_VERSION_MAJOR}.${JPEG_LIB_VERSION_MINOR}")

find_package_handle_standard_args(cJPEG
  REQUIRED_VARS CJPEG_PATH
  VERSION_VAR CJPEG_VERSION)

if(cJPEG_FOUND)
  add_library(cJPEG::cJPEG UNKNOWN IMPORTED)
  set_target_properties(cJPEG::cJPEG PROPERTIES
    IMPORTED_LOCATION "${CJPEG_PATH}"
    INTERFACE_LINK_OPTIONS "-lm;-lcJPEG")
endif()
